VERSION 5.00
Begin VB.UserControl btnBlack 
   BackColor       =   &H00000000&
   ClientHeight    =   345
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   960
   DefaultCancel   =   -1  'True
   BeginProperty Font 
      Name            =   "Times New Roman"
      Size            =   15.75
      Charset         =   162
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   PropertyPages   =   "btnBlack.ctx":0000
   ScaleHeight     =   345
   ScaleWidth      =   960
   ToolboxBitmap   =   "btnBlack.ctx":0037
   Begin VB.Label lblCaption 
      AutoSize        =   -1  'True
      BackColor       =   &H80000001&
      BackStyle       =   0  'Transparent
      ForeColor       =   &H00FFFFFF&
      Height          =   360
      Index           =   0
      Left            =   15
      TabIndex        =   0
      Top             =   0
      Width           =   105
   End
   Begin VB.Label lblCaption 
      AutoSize        =   -1  'True
      BackColor       =   &H80000001&
      BackStyle       =   0  'Transparent
      ForeColor       =   &H8000000C&
      Height          =   360
      Index           =   1
      Left            =   45
      TabIndex        =   1
      Top             =   30
      Width           =   105
   End
End
Attribute VB_Name = "btnBlack"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "PropPageWizardRun" ,"Yes"

'Event Declarations:
Event Click()
Event DblClick()
Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseDown
Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseMove
Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single) 'MappingInfo=UserControl,UserControl,-1,MouseUp
Event KeyDown(KeyCode As Integer, Shift As Integer) 'MappingInfo=UserControl,UserControl,-1,KeyDown
Attribute KeyDown.VB_Description = "Occurs when the user presses a key while an object has the focus."
Event KeyPress(KeyAscii As Integer) 'MappingInfo=UserControl,UserControl,-1,KeyPress
Attribute KeyPress.VB_Description = "Occurs when the user presses and releases an ANSI key."
Event KeyUp(KeyCode As Integer, Shift As Integer) 'MappingInfo=UserControl,UserControl,-1,KeyUp
Attribute KeyUp.VB_Description = "Occurs when the user releases a key while an object has the focus."

Dim prpAutoSize As Boolean
Dim prpFC As OLE_COLOR
Dim prpFR As OLE_COLOR
Dim OF As Boolean

Private Sub lblCaption_Change(Index As Integer)
    If prpAutoSize = True Then
        UserControl.Width = lblCaption(0).Width + 45
        UserControl.Height = lblCaption(0).Height + 45
    End If
End Sub

Private Sub lblCaption_Click(Index As Integer)
    RaiseEvent Click
End Sub

Private Sub lblCaption_DblClick(Index As Integer)
    RaiseEvent DblClick
        lblCaption(0).Top = lblCaption(0).Top + 50
        lblCaption(0).Left = lblCaption(0).Left + 50
End Sub

Private Sub lblCaption_MouseDown(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then
            lblCaption(0).Top = lblCaption(0).Top + 50
            lblCaption(0).Left = lblCaption(0).Left + 50
    End If
    RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

Private Sub lblCaption_MouseMove(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub lblCaption_MouseUp(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then
            lblCaption(0).Top = lblCaption(0).Top - 50
            lblCaption(0).Left = lblCaption(0).Left - 50
    End If
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption(0),lblCaption,0,Caption
Public Property Get Caption() As String
Attribute Caption.VB_ProcData.VB_Invoke_Property = "ptpBTN"
    Caption = lblCaption(0).Caption
End Property

Public Property Let Caption(ByVal New_Caption As String)
    lblCaption(0).Caption() = New_Caption
    lblCaption(1).Caption() = New_Caption
    PropertyChanged "Caption"
End Property

Public Property Get AutoSize() As Boolean
Attribute AutoSize.VB_ProcData.VB_Invoke_Property = "ptpBTN"
    AutoSize = prpAutoSize
End Property

Public Property Let AutoSize(ByVal New_AutoSize As Boolean)
    prpAutoSize = New_AutoSize
    PropertyChanged "Autosize"
    If prpAutoSize = True Then
        UserControl.Width = lblCaption(0).Width + 45
        UserControl.Height = lblCaption(0).Height + 45
    End If
End Property

Private Sub UserControl_AccessKeyPress(KeyAscii As Integer)
    RaiseEvent Click
End Sub

Private Sub UserControl_AmbientChanged(PropertyName As String)
    UserControl.AccessKeys = Chr(Abs(UserControl.Extender.Default * 13))
    UserControl.AccessKeys = Chr(Abs(UserControl.Extender.Cancel * 27))
End Sub

Private Sub UserControl_Click()
    RaiseEvent Click
End Sub

Private Sub UserControl_DblClick()
    RaiseEvent DblClick
End Sub

Private Sub UserControl_GotFocus()
    OF = True
        OFC
End Sub

Private Sub UserControl_InitProperties()
    prpFR = &HFFFFFF
    prpFC = &HC0FFFF
End Sub

Private Sub UserControl_LostFocus()
    OF = False
        OFC
End Sub

'Load property values from storage
Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    lblCaption(0).Caption = PropBag.ReadProperty("Caption", "")
    lblCaption(1).Caption = PropBag.ReadProperty("Caption", "")
    prpAutoSize = PropBag.ReadProperty("AutoSize", False)
    Set lblCaption(0).Font = PropBag.ReadProperty("Font", UserControl.Font)
    Set lblCaption(1).Font = PropBag.ReadProperty("Font", UserControl.Font)
    Set MouseIcon = PropBag.ReadProperty("MouseIcon", Nothing)
    UserControl.MousePointer = PropBag.ReadProperty("MousePointer", 0)
    prpFR = PropBag.ReadProperty("ForeColor", &HFFFFFF)
    lblCaption(1).ForeColor = PropBag.ReadProperty("ShadowColor", &H808080)
    lblCaption(0).Enabled = PropBag.ReadProperty("Enabled", True)
    lblCaption(1).Enabled = PropBag.ReadProperty("Enabled", True)
    prpFC = PropBag.ReadProperty("FocusColor", &HC0FFFF)
        OFC
End Sub

'Write property values to storage
Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    Call PropBag.WriteProperty("Caption", lblCaption(0).Caption, "")
    Call PropBag.WriteProperty("Autosize", prpAutoSize, False)
    Call PropBag.WriteProperty("Font", lblCaption(0).Font, UserControl.Font)
    Call PropBag.WriteProperty("MouseIcon", MouseIcon, Nothing)
    Call PropBag.WriteProperty("MousePointer", UserControl.MousePointer, 0)
    Call PropBag.WriteProperty("ForeColor", prpFR, &HFFFFFF)
    Call PropBag.WriteProperty("ShadowColor", lblCaption(1).ForeColor, &H808080)
    Call PropBag.WriteProperty("Enabled", lblCaption(1).Enabled, True)
    Call PropBag.WriteProperty("Enabled", lblCaption(1).Enabled, True)
    Call PropBag.WriteProperty("FocusColor", prpFC, &HC0FFFF)
        OFC
End Sub
Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption(0),lblCaption,0,Font
Public Property Get Font() As StdFont
Attribute Font.VB_Description = "Returns a Font object."
Attribute Font.VB_UserMemId = -512
    Set Font = lblCaption(0).Font
End Property

Public Property Set Font(ByVal New_Font As StdFont)
    Set lblCaption(0).Font = New_Font
    Set lblCaption(1).Font = New_Font
    PropertyChanged "Font"
    If prpAutoSize = True Then
        UserControl.Width = lblCaption(0).Width + 45
        UserControl.Height = lblCaption(0).Height + 45
    End If
End Property

Private Sub UserControl_KeyDown(KeyCode As Integer, Shift As Integer)
    RaiseEvent KeyDown(KeyCode, Shift)
End Sub

Private Sub UserControl_KeyPress(KeyAscii As Integer)
    RaiseEvent KeyPress(KeyAscii)
        If KeyAscii = vbKeyReturn Or KeyAscii = vbKeySpace Then RaiseEvent Click
End Sub

Private Sub UserControl_KeyUp(KeyCode As Integer, Shift As Integer)
    RaiseEvent KeyUp(KeyCode, Shift)
End Sub

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,MouseIcon
Public Property Get MouseIcon() As Picture
Attribute MouseIcon.VB_Description = "Sets a custom mouse icon."
    Set MouseIcon = UserControl.MouseIcon
End Property

Public Property Set MouseIcon(ByVal New_MouseIcon As Picture)
    Set UserControl.MouseIcon = New_MouseIcon
    PropertyChanged "MouseIcon"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=UserControl,UserControl,-1,MousePointer
Public Property Get MousePointer() As MousePointerConstants
Attribute MousePointer.VB_Description = "Returns/sets the type of mouse pointer displayed when over part of an object."
    MousePointer = UserControl.MousePointer
End Property

Public Property Let MousePointer(ByVal New_MousePointer As MousePointerConstants)
    UserControl.MousePointer() = New_MousePointer
    PropertyChanged "MousePointer"
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption(0),lblCaption,0,ForeColor
Public Property Get ForeColor() As OLE_COLOR
Attribute ForeColor.VB_Description = "Returns/sets the foreground color used to display text and graphics in an object."
    ForeColor = prpFR
End Property

Public Property Let ForeColor(ByVal New_ForeColor As OLE_COLOR)
    prpFR = New_ForeColor
    PropertyChanged "ForeColor"
        OFC
End Property

'WARNING! DO NOT REMOVE OR MODIFY THE FOLLOWING COMMENTED LINES!
'MappingInfo=lblCaption(1),lblCaption,1,ForeColor
Public Property Get ShadowColor() As OLE_COLOR
    ShadowColor = lblCaption(1).ForeColor
End Property

Public Property Let ShadowColor(ByVal New_ShadowColor As OLE_COLOR)
    lblCaption(1).ForeColor() = New_ShadowColor
    PropertyChanged "ShadowColor"
End Property

Public Property Get Enabled() As Boolean
Attribute Enabled.VB_ProcData.VB_Invoke_Property = "ptpBTN"
    Enabled = lblCaption(1).Enabled
End Property

Public Property Let Enabled(ByVal New_Enabled As Boolean)
        If New_Enabled And Not lblCaption(0).Enabled Then
            lblCaption(0).Top = lblCaption(0).Top - 50
            lblCaption(0).Left = lblCaption(0).Left - 50
        ElseIf Not New_Enabled And lblCaption(0).Enabled Then
            lblCaption(0).Top = lblCaption(0).Top + 50
            lblCaption(0).Left = lblCaption(0).Left + 50
        End If
    lblCaption(0).Enabled() = New_Enabled
    lblCaption(1).Enabled() = New_Enabled
    PropertyChanged "Enabled"
End Property

Public Property Get FocusColor() As OLE_COLOR
    FocusColor = prpFC
End Property

Public Property Let FocusColor(ByVal New_FC As OLE_COLOR)
    prpFC = New_FC
    PropertyChanged "FocusColor"
        OFC
End Property

Sub OFC()
    If OF Then
        lblCaption(0).ForeColor = prpFC
    Else
        lblCaption(0).ForeColor = prpFR
    End If
End Sub
